Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 646802

Summary: app-admin/dio-1.5.2 : /.../ld: /.../ccyZN1dG.o: undefined reference to symbol nodelay
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: major CC: esigra, jstein, treecleaner
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/9372
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 457530    
Attachments: emerge-info.txt
app-admin:dio-1.5.2:20180206-144234.log
emerge-history.txt
environment
etc.portage.tbz2

Description Toralf Förster gentoo-dev 2018-02-06 17:58:42 UTC
make -j1 CC=x86_64-pc-linux-gnu-gcc 'CFLAGS=-O2 -pipe -march=native' 
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native  dio.c -o dio -lcurses 
/usr/lib/gcc/x86_64-pc-linux-gnu/7.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/app-admin/dio-1.5.2/temp/ccyZN1dG.o: undefined reference to symbol 'nodelay'
/lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make: *** [Makefile:29: dio] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop_libressl-test_20180203-123634

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv app-admin/dio
Comment 1 Toralf Förster gentoo-dev 2018-02-06 17:58:45 UTC
Created attachment 518162 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-02-06 17:58:48 UTC
Created attachment 518164 [details]
app-admin:dio-1.5.2:20180206-144234.log
Comment 3 Toralf Förster gentoo-dev 2018-02-06 17:58:51 UTC
Created attachment 518166 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-02-06 17:58:55 UTC
Created attachment 518168 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-02-06 17:58:58 UTC
Created attachment 518170 [details]
etc.portage.tbz2
Comment 6 Jonas Stein gentoo-dev 2018-07-25 22:58:37 UTC
This bug got no attention by the former proxied maintainer (also upstream dev) for a long time. 

Gentoo is the only distribution with this tool
https://repology.org/metapackage/dio/versions

I suggest to last rite this package, if nobody wants to fix this package till 2018-08-01
Comment 7 Conrad Kostecki gentoo-dev 2018-07-28 23:54:01 UTC
(In reply to Jonas Stein from comment #6)
> if nobody wants to fix this package

Done.
Comment 8 Larry the Git Cow gentoo-dev 2018-08-07 17:15:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8ed5247f9e56d317eae3510aa26faccbcf2aa69

commit d8ed5247f9e56d317eae3510aa26faccbcf2aa69
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-08-07 16:58:06 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-08-07 17:13:01 +0000

    app-admin/dio: fix build with sys-libs/ncurses[tinfo]
    
    Also bumped to EAPI=7
    
    Closes: https://bugs.gentoo.org/646802
    Package-Manager: Portage-2.3.44, Repoman-2.3.10

 app-admin/dio/dio-1.5.2-r1.ebuild | 41 +++++++++++++++++++++++++++++++++++++++
 app-admin/dio/metadata.xml        | 23 ++++++++++++++++++----
 2 files changed, 60 insertions(+), 4 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8149589fb11e8652f42812b2af459a6d38c4bebd

commit 8149589fb11e8652f42812b2af459a6d38c4bebd
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-08-07 16:59:42 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-08-07 17:13:05 +0000

    app-admin/dio: drop old version
    
    Bug: https://bugs.gentoo.org/646802
    Closes: https://github.com/gentoo/gentoo/pull/9372
    Package-Manager: Portage-2.3.44, Repoman-2.3.10

 app-admin/dio/dio-1.5.2.ebuild | 28 ----------------------------
 1 file changed, 28 deletions(-)